#!/usr/bin/python
########################################
#
#      Copyright 2014 2015 Timothy Evans
#
#      pseudo-censor.py is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; either version 3 of the License, or
#      (at your option) any later version.
#      
#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#
#      You should have received a copy of the GNU General Public License
#      along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
########################################
# Script to parse text input and "censor" text by replacing portions
# with hash # characters.

import sys

linelength = 0
censor = False
censorchar = '#'
censorsize = 1024
counter = 0
plainsize = 512

for line in sys.stdin.readlines():
    #
        linelength = len(line)
        charcount = 0
        #print linelength
        while charcount < linelength:
            if censor == True:
                if counter < censorsize:
                    sys.stdout.write(censorchar)
                    counter += 1
                else:
                    counter = 0
                    censor = False
            else:
                if counter < plainsize:
                    char = line[charcount]
                    sys.stdout.write(char)
                    counter += 1
                else:
                    counter = 0
                    censor = True
            #
            charcount += 1
        


